<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/logon/CBEBrowserLogonForm.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 07/01/18 04:36:28                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.74 1.3.1.1                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ICBEBrowserNlsConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.servlet.CBEBrowserLogonServlet"%>

<!-- Obtain translated strings up front  -->
<%
java.util.Locale locale = request.getLocale();
String contextPath = request.getContextPath();
String loginbackUrl = "url(" + contextPath + "/resources/images/login-background.jpg)";
String loginbackString = CBEBrowserNlsUtilities.getNonMessageString( locale, "ALTTEXT.LOGINBACK" );
String titleString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TITLE.LOGONFORM" );
String labelUseridString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.USERID" );
String descUseridString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.USERID" );
String labelPasswordString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.PASSWORD" );
String descPasswordString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.PASSWORD" );
String textbuttonlogonString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.BUTTON.LOGON" );
String descbuttonlogonString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.BUTTON.LOGON" );

if (session.getAttribute(CBEBrowserLogonServlet.SESSATTR_WCL_FACADE)!=null )
{
%>

<!--
** This is the page that holds the banner and the toolbar.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->


<wcl:Foundation
  objectScope="session"
  pageName="<%=CBEBrowserLogonServlet.PAGENAME_LOGONFORM%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=CBEBrowserLogonServlet.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD>
    </HEAD>

    <BODY onLoad="document.getElementById('<%=CBEBrowserLogonServlet.TEXTENTRY_LOGON_USERID%>').focus()">
    
      <wcl:WBoxLayout
        objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_LOGON_OUTER%>"
        orientation="vertical"
        width="100%">
        
        <wcl:StyleInfo
          className="com.ibm.psw.wcl.skins.base.BaseSimpleLayoutStyleInfo">
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="background" value="<%=loginbackUrl%>"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="title" value="<%=loginbackString%>"/>          
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="height" value="100%"/>          
        </wcl:StyleInfo>
        
        <wcl:WBoxLayoutCell
          align="center">
          
          <wcl:WBoxLayout
            objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_LOGON_BOX%>"
            orientation="vertical">
                                  
            <wcl:StyleInfo
              className="com.ibm.psw.wcl.skins.base.BaseSimpleLayoutStyleInfo">
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="background-color" value="#f7f7f7"/>
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="background-image" value="none"/>          
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="border" value="1px solid #000000"/>          
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="width" value="400"/>          
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="padding" value="10px"/>          
            </wcl:StyleInfo>
                          
            <wcl:WBoxLayoutCell>
                    
              <wcl:WTitledLayout
                objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_LOGON_TITLE%>"
                title="<%=titleString%>">
          
                <wcl:WForm
                  objectScopeId="<%=CBEBrowserLogonServlet.FORM_LOGON%>"
                  id="<%=CBEBrowserLogonServlet.FORM_LOGON%>"
                  name="<%=CBEBrowserLogonServlet.FORM_LOGON%>"
                  target="_top">
          
                  <wcl:Validator
                    objectScopeId="<%=CBEBrowserLogonServlet.SESSATTR_FORMLISTENER%>"
                  />
                      
                  <wcl:WBoxLayout
                    objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_LOGON_FIELDS%>"
                    orientation="vertical"
                    gap"10">
              
                    <wcl:WBoxLayoutCell>
              
                      <wcl:WMessageBox
                        objectScopeId="<%=CBEBrowserLogonServlet.MSGBOX_LOGON%>"
                      />
                
                    </wcl:WBoxLayoutCell>
                      
                    <wcl:WBoxLayoutCell>
                          
                      <wcl:WTextEntry
                        objectScopeId="<%=CBEBrowserLogonServlet.TEXTENTRY_LOGON_USERID%>"
                        id="<%=CBEBrowserLogonServlet.TEXTENTRY_LOGON_USERID%>"
                        name="<%=CBEBrowserLogonServlet.JSECURITYCHECK_USERNAME%>"
                        size="20"
                        maxLength="256"
                        label="<%=labelUseridString%>"
                        description="<%=descUseridString%>"
                        tabIndex="1"
                        status="required"
                        text="">          
                      </wcl:WTextEntry>
            
                    </wcl:WBoxLayoutCell>
                          
                    <wcl:WBoxLayoutCell>
              
                      <wcl:WTextEntry
                        objectScopeId="<%=CBEBrowserLogonServlet.TEXTENTRY_LOGON_PASSWORD%>"
                        id="<%=CBEBrowserLogonServlet.TEXTENTRY_LOGON_PASSWORD%>"
                        name="<%=CBEBrowserLogonServlet.JSECURITYCHECK_PASSWORD%>"
                        size="20"
                        maxLength="256"
                        label="<%=labelPasswordString%>"
                        description="<%=descPasswordString%>"
                        tabIndex="2"
                        status="required"
                        isPassword="true"
                        text="">          
                      </wcl:WTextEntry>            
            
                    </wcl:WBoxLayoutCell>
                      
                    <wcl:WBoxLayoutCell>
                                
                      <wcl:WButton
                        objectScopeId="<%=CBEBrowserLogonServlet.BUTTON_LOGON_LOGON%>"
                        id="<%=CBEBrowserLogonServlet.BUTTON_LOGON_LOGON%>"
                        name="<%=CBEBrowserLogonServlet.BUTTON_LOGON_LOGON%>"
                        tabIndex="3"
                        text="<%=textbuttonlogonString%>"
                        description="<%=descbuttonlogonString%>"
                        isSubmit="true">
                        <wcl:CommandListener
                          objectScopeId="<%=CBEBrowserLogonServlet.SESSATTR_FORMLISTENER%>"
                          objectScope="session"
                        />
                      </wcl:WButton>
                                        
                    </wcl:WBoxLayoutCell>
              
                  </wcl:WBoxLayout>
            
                </wcl:WForm>

              </wcl:WTitledLayout>
        
            </wcl:WBoxLayoutCell>
        
          </wcl:WBoxLayout>
      
        </wcl:WBoxLayoutCell>
            
      </wcl:WBoxLayout>
      
    </BODY>

  </HTML>
  
</wcl:Foundation>

<%
}
%>
