<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/viewer/CBEBrowserViewBPELProcessesProcessInstancesTable.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 06/10/16 04:16:44                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.87 1.5                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2012. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>

<!-- Obtain translated strings up front -->
<%
String contextPath = request.getContextPath();
%>

<!-- See if we need to reload the parent frame. -->
<%
boolean reloadParent = false;
Boolean reloadParentObj = (Boolean)session.getAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT );
if ( reloadParentObj != null )
{
    session.setAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT, Boolean.FALSE );
    session.removeAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT );
    reloadParent = true;
}
%>

<%
if ( reloadParent == true )
{
%>
<SCRIPT type="text/javascript" src="<%=contextPath%>/resources/js/CBEBrowserReloadFrames.js" ></SCRIPT>
<SCRIPT language="javascript">
reloadSiblingFrame("<%=ICBEBrowserConstants.FRAMENAME_VIEWBPELPROCESSESEVENTTABLE%>","<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWBPELPROCESSESEVENTTABLE%>");
reloadSiblingFrame("<%=ICBEBrowserConstants.FRAMENAME_VIEWBPELPROCESSESEVENTDATATABLE%>","<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWBPELPROCESSESEVENTDATA%>");
</SCRIPT>
<%
}
%>

<!--
** The View BPEL Processes Process Instances Table Page: triggered by the View BPEL Processes Process hyperlink.
**
** This is the view page that has variable contents depending on the view selected.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_VIEWBPELPROCESSESINSTANCES%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD>
    </HEAD>

    <BODY dir=LTR>
            
      <wcl:WTable
        objectScopeId="<%=ICBEBrowserConstants.TABLE_VIEWBPELPROCESSES_INSTANCES%>"
        id="<%=ICBEBrowserConstants.TABLE_VIEWBPELPROCESSES_INSTANCES%>"
        tableModelScope="session"
        tableModelScopeId="<%=ICBEBrowserConstants.SESSATTR_PROCESSINSTCHOOSERMODEL%>"
        saveModelInComponent="false"
        isFooterVisible="false"
        features="131"
        selectionMode="single"
        componentOrientation="ltr"
        >
        
        <wcl:StyleInfo
          className="com.ibm.psw.wcl.skins.base.BaseTableStyleInfo">
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA_NOGRID%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA_NOGRID%>" attribute="font-size" value="70%"/>
        </wcl:StyleInfo>              
                                        
        <wcl:ColumnCustomizer
          viewColumn="0"
          isVisible="false"
        />
                                
        <wcl:ColumnCustomizer
          viewColumn="1"
          cellScope="session"
          cellScopeId="<%=ICBEBrowserConstants.SESSATTR_HYPERCELL_CHOOSEPROCESSINST%>"
          cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserHyperlinkCellRenderer"
          rendererInfoScope="session"
          rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"/>

        <wcl:ColumnCustomizer
          viewColumn="2"
          cellScope="session"
          cellScopeId="<%=ICBEBrowserConstants.SESSATTR_HYPERCELL_CHOOSEPROCESSINST%>"
          cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserBPClinkRenderer"
          rendererInfoScope="session"
          rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"/>


      </wcl:WTable>
        
    </BODY>

  </HTML>

</wcl:Foundation>
 
