<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 1997,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page language="java" import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities,com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page pageEncoding="UTF-8"%>
<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%
java.util.Locale locale = request.getLocale();
String expand = CBEBrowserNlsUtilities.getNonMessageString( locale, "BUTTON.EXPAND" );
String collapse = CBEBrowserNlsUtilities.getNonMessageString( locale, "BUTTON.COLLAPSE" );
String back = CBEBrowserNlsUtilities.getNonMessageString( locale, "BUTTON.BACK" );
String description = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.VIEWXMLCONTENT" );

String title = (String)request.getSession().getAttribute(ICBEBrowserConstants.SESSATTR_TRANSFORMED_XML_CONTENT_TITLE);
description = description + " " + title;
request.getSession().removeAttribute(ICBEBrowserConstants.SESSATTR_TRANSFORMED_XML_CONTENT_TITLE);

%>

<STYLE>
        #showButton { font-size: 70%; font-family: Verdana, sans-serif; BORDER-RIGHT: #336699 1px solid; BORDER-TOP: #8cb1d1 1px solid; BORDER-LEFT: #8cb1d1 1px solid; BORDER-BOTTOM: #336699 1px solid; BACKGROUND-COLOR: #EAF1FF }
        #hideButton { font-size: 70%; font-family: Verdana, sans-serif; BORDER-RIGHT: #336699 1px solid; BORDER-TOP: #8cb1d1 1px solid; BORDER-LEFT: #8cb1d1 1px solid; BORDER-BOTTOM: #336699 1px solid; BACKGROUND-COLOR: #EAF1FF }
        #backButton { font-size: 70%; font-family: Verdana, sans-serif; BORDER-RIGHT: #336699 1px solid; BORDER-TOP: #8cb1d1 1px solid; BORDER-LEFT: #8cb1d1 1px solid; BORDER-BOTTOM: #336699 1px solid; BACKGROUND-COLOR: #EAF1FF }
        .buttons  {  font-family: Arial,Helvetica, sans-serif; font-size: 90%; margin: 1px 2px 1px 2px; border: 1px solid black; background-color:#D8D8D8; }
</STYLE>

 <SCRIPT>


var isNav4, isIE, isDom;

var foropera = window.navigator.userAgent.toLowerCase();

var itsopera = foropera.indexOf("opera",0) + 1;
var itsgecko = foropera.indexOf("gecko",0) + 1;
var itsmozillacompat = foropera.indexOf("mozilla",0) + 1;
var itsmsie = foropera.indexOf("msie",0) + 1;
//var tagDump = "";


if (itsopera > 0){
        //thebrowser = 3;
        //alert("its opera");
        isNav4 = true
}


if (itsmozillacompat > 0){
        //alert("its mozilla compatible");
        if (itsgecko > 0) {
               //thebrowser = 4
               // alert("its gecko");
               isIE= true
               isDom = true
               document.all = document.getElementsByTagName("*");

        }
        else if (itsmsie > 0) {
              //  alert("its msie");
               // thebrowser = 2
                isIE = true
        }
        else {
                if (parseInt(navigator.appVersion) < 5) {
                        // alert("its ns4.x")
                        //thebrowser = 1
                        isNav4 = true
                }
                else {
                        //thebrowser = 2
                        isIE = true
                }
        }
}

        function showAll()
        {
            if (isDom) { document.all = document.getElementsByTagName("*") }

            //tagDump = "";
            for (j=1; j< document.all.length;j++) {
                theitem = document.all[j];

                //alert("parent: "+theitem.parentNode.id+" me: <"+theitem.id+"><"+theitem.tagName+">");
                if (theitem.id == "progress") {
                    theitem.style.display = "none";
                }
                else {

                    //alert("parent: "+theitem.parentNode.id+" me: <"+theitem.id+"><"+theitem.tagName+"><"+theitem.style.display+">");
                if (theitem.tagName == "DIV") {
                       // added this if to get rid of jumping page when toggling
                       // between collapse and expand.
                       if (theitem.id == "" || theitem.id == "bubbleHelp") {
                           theitem.style.display = "none";
                       }
                       else {
                    theitem.style.display = "block";
                }
                    }
                if (theitem.tagName == "IMG") {
                    if (theitem.src.indexOf("lplus.gif") > 0) {
                        theitem.src = "/ibm/console/images/lminus.gif";
                    }
                }
                }
                //tagDump = tagDump + "parent: "+theitem.parentNode.id+" me: <"+theitem.id+"><"+theitem.tagName+"><"+theitem.style.display+">\n\r";
            }
            //alert(tagDump);
            document.all["showbutton"].disabled = true;
            document.all["hidebutton"].disabled = false;
        }


        function hideAll()
        {
            if (isDom) { document.all = document.getElementsByTagName("*") }
            for (j=1; j< document.all.length;j++) {
                theitem = document.all[j];
                if (theitem.tagName == "DIV") {
                    if (theitem.id.indexOf("ddItem") > -1) {
                        //alert("parent: "+theitem.parentNode.id+" me: "+theitem.id);
                        if (theitem.id != "ddItem1") {
                            if (theitem.parentNode.id != "ddItem1") {
                            theitem.style.display = "none";
                            }
                        }
                    }
                }
                if (theitem.tagName == "IMG") {
                    if (theitem.src.indexOf("lminus.gif") > 0) {
                        theitem.src = "/ibm/console/images/lplus.gif";
                    }
                }
            }
            document.all["showbutton"].disabled = false;
            document.all["hidebutton"].disabled = true;

        }



        // Function for expand/collapse link navigation
        function showHide(item)
        {
            theimg = document.all["imgddItem"+item];
            theitem = document.all["ddItem"+item];
            if (isDom) {
                thelen = theitem.childNodes.length;
            } else {
                thelen = theitem.children.length;
            }

            if (theimg.src.indexOf("lplus.gif") > 0) {
                theimg.src = "/ibm/console/images/lminus.gif";
                for (i = 1; i < thelen; i++) {
                    if (isDom) {
                        if (i < (thelen-1)) {
                            curritem = theitem.childNodes[i+1];
                            if (curritem.innerHTML != undefined) {
                               curritem.style.display = "block";
                            }
                        }
                    } else {
                        theitem.children(i).style.display = "block";
                    }
                }

            } else {
                theimg.src = "/ibm/console/images/lplus.gif";
                for (i = 1; i < thelen; i++) {
                    if (isDom){
                        if (i < (thelen-1)) {
                            curritem = theitem.childNodes[i+1];
                            if (curritem.innerHTML != undefined) {
                               curritem.style.display = "none";
                            }
                        }
                    } else {
                        theitem.children(i).style.display = "none";
                    }
                }
            }
            document.all["showbutton"].disabled = false;
            document.all["hidebutton"].disabled = false;
        }

        // Erase bogus link info from the status window
        function h()
        {
          window.status=" ";
        }
        
        function back()
        {
        	document.location="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWALLEVENTDATA%>";
        }

        // Set the onclick handler
        //document.onclick = cl;

 </SCRIPT>
<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_VIEWXMLCONTENT%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  <HTML>
    <HEAD>
    </HEAD>
    <BODY dir=LTR>
	<wcl:WTitledLayout
	    objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_VIEWXMLCONTENTSUBTITLE%>"
	    title="<%=title%>"
	    description="<%=description%>"
	    isVisible="true"
	    componentOrientation="ltr"
	    >
	 	<p>
	   <input id='showbutton' class='buttons' type='button' value='<%=expand%>' onclick="javascript:showAll();return false;">
	   &nbsp;<input id='hidebutton' class='buttons' type='button' value='<%=collapse%>' onclick="javascript:hideAll();return false;">
	   </p>
	
		<%
		String ddText=(String)request.getSession().getAttribute(ICBEBrowserConstants.SESSATTR_TRANSFORMED_XML_CONTENT);
		request.getSession().removeAttribute(ICBEBrowserConstants.SESSATTR_TRANSFORMED_XML_CONTENT);
		%>
		
		<%=ddText%>
		
		<p>
		   <input id='backbutton' class='buttons' type='button' value='<%=back%>' onclick="javascript:back();">
		</p>
	   
	</wcl:WTitledLayout>
	</BODY>
  </HTML>
</wcl:Foundation>

<SCRIPT>
        showAll();   
</SCRIPT>             

